## dev_svn  <img src="https://badge.fury.io/rb/dev_svn.png" alt="Gem Version" />

A ruby gem to assist with subversion operations

### Installation

The gem can be installed by the single command

```
gem install dev_svn
```
 
### Usage

This is an example of a simple usage

```
 require 'dev_svn'

 Svn.publish "C:/to_publish", "http://myhost/svn/publish_test"
 # creates the svn path http://myhost/svn/publish_test
 # checks out the svn patht o a temporary location
 # add files in to_publish to checkout location
 # commits files to subversion
 # cleans up the temporary location
```

### License
Copyright 2014-2015 Lou Parslow

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
